# reverse
Collects input, reverses it, then outputs it.

## Usage
From arguments:
```shell
$ reverse 1 2 3 4
4
3
2
1
```

From standard input:
```shell
$ find . | reverse
```
Standard input is read *line by line*, unlike arguments. The two cannot be combined.

# Build
Requires `rust` and `cargo` installed:
```shell
$ cargo build --release
```

The outputted binary will be `./target/release/reverse`.

## Customise behaviour
There are several compile-time flags.
See [./Cargo.toml](Cargo.toml) for the description of each one.

To build with custom features:
```shell
$ cargo build --release --no-default-features --features <your feature>,...
```

# License
Public domain. 

This is a toy project I used to play around with what I could do with slice patterns in Rust.
